# laspy.lasappender

## LasAppender

class laspy.lasappender.LasAppender(dest: BinaryIO, laz_backend: LazBackend | Iterable[LazBackend] | None = None, closefd: bool = True, encoding_errors: str = 'strict')

  Allows to append points to and existing LAS/LAZ file.

  Appending to LAZ is only supported by the lazrs backend

  append_points(points: PackedPointRecord) → None

    Append the points to the file, the points must have the same point format as the points already contained within the file.

    Parameters:

      points – The points to append